Update Platform Status
Status the platform of a delayed stream
curl -X POST "https://api.5centscdn.com/v2/streams/timeshift/1001/platform/1/status" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"disabled": 0
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/timeshift/1001/platform/1/status"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"disabled": 0
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/timeshift/1001/platform/1/status", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"disabled": 0
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"disabled": 0
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/timeshift/1001/platform/1/status", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/timeshift/1001/platform/1/status')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"disabled": 0
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Platform disabled"
}
POST
/streams/timeshift/{streamid}/platform/{platformid}/statusPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
path
platformidstring
RequiredPlatform ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
disabledinteger
Set to 1 to disable the platform, 0 to enable it.
Options: 0, 1
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
Responses
resultstring
Status of the API response.
messagestring
Human-readable message describing the result.
Was this page helpful?